#include"motor.h"
#include <EnableInterrupt.h>

/*
 * en EnablePin
 * m1 Motorpin1
 * m2 Motorpin2
 * i1 Inputpin1 (Lichtschranke oder Encoder)
 * i2 Inputpin2
 * mmps Auflösung in mm/Step
 */
Motor M1(6 ,7 ,8 ,2 ,3, 1.0/8.0);
void setup() 
{
  Serial.begin(9600);

  pinMode(4,OUTPUT);
  pinMode(5,OUTPUT);
  
  enableInterrupt(2,iRoutine,CHANGE);  // Wenn sich i1 oder i2 ändern, sollen die 
  enableInterrupt(3,iRoutine,CHANGE);  // Motorsteps weitergezählt werden.
}

void loop() 
{
  if (millis()>1000)
  {
    if (millis()<2000) M1.power(150);
    else if (millis()<3000) M1.power(255);
    else if (millis()<4000) M1.power(-150);
    else if (millis()<5000) M1.power(0);
    else if (millis()<6000) 
    {
      while(1);
    }
  }

  Serial.print(micros());
  Serial.print("; ");
  Serial.print(M1.getS());
  Serial.print("; ");
  Serial.println(M1.getV());
}

void iRoutine() 
{
   M1.richtung();
}
